.menu-left{
    background: $color-primary;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100px;
    border-radius: 0 16px 16px 0;
    z-index: 10;
    overflow: hidden;
    transition: 0.5s;

    &-content{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 100%;
        width: 200px;
    }

    .logo{
        margin-top: 16px;
        margin-left: 16px;
    }

    &-button{
        position: absolute;
        color: $color-neutral-0;
        top: 16px;
        right: 16px;
        text-align: center;
        padding: 0;
        transition: 0.5s;
        
    }

    &--open &-button{
        transform: rotateY(180deg);
    }


    .nav{
        text-align: center;
        margin: auto;
        margin-top: 120px;
        margin-left: 24px;
        justify-content: flex-start;

        &-item{
            display: flex;
            align-items: center;
            &-button{
                width: 48px;
                height: 48px;
                font-size: 24px;
                padding: 0;
                border-radius: 8px;
            }

            &:not(:first-child){
                margin-top: 24px;
            }

            &-text{
                transition: 0.5s;
                color: $color-neutral-0;
                @include font-size('body-small');
                font-weight: weight('semi-bold');
            }
        }
    }

    .settings{
        margin: 0 0 16px 24px;
        display: flex;
        align-items: center;

        &-button{
            padding: 0;
            font-size: 24px;
            width: 48px;
            height: 48px;
            border-radius: 8px;
        }

        &-text{
            transition: 0.5s;
            color: $color-neutral-0;
            @include font-size('body-small');
            font-weight: weight('semi-bold');
        }
    }

    &-overlay{
        position: absolute;
        width: 100vw;
        height: 100vh;
        border: 0;
        padding: 0;
        background: rgba(0, 0, 0, 0.5);
        left: -100vw;
        transition: 0.5s;
        z-index: 5;
    }

    &--open &{
        width: 200px;
    }

    &--open &-overlay{
        transform: translateX(100vw);
    }

}



.layout:not(.menu-left--open){
    .nav-item-text,
    .settings-text{
        transform: translateX(50px);
    }
}